#include <iostream>

using namespace std;

int main()
{
    long long int n,m,k;
    cin>>n>>m;
    bool atment=true;
    for (int i=1; i<n+1; i++)
    {
        cin>>k;
        if (k<=m)
        {
            atment=false;
            cout<<i<<"\n";
            break;
        }
    }
    if (atment)
        cout<<-1<<"\n";
    return 0;
}